<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.dbs.mplus.fatima"
    android:installLocation="auto">
    <!-- 인터넷 사용 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!-- 스토리지 접근 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>

    <!-- 네트워크 상태 확인 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!-- 폰 상태 확인 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
	
    <!-- GCM -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE"/> 
    <uses-permission android:name="com.dbs.mcare.knuh.permission.C2D_MESSAGE" />
    <permission android:name="com.dbs.mplus.fatima.permission.C2D_MESSAGE" android:protectionLevel="signature" />
	<uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
	<uses-permission android:name="android.permission.DISABLE_KEYGUARD" />

    <!-- 전자동의서 라이브러리에서 사용함 -->
    <uses-permission android:name="android.permission.GET_TASKS" />
    
    <!-- 전화걸기 기능이 필수가 아님을 표시 -->
    <uses-feature android:name="android.hardware.telephony" android:required="false" />
    <uses-feature android:glEsVersion="0x00020000" android:required="true"/>

    <application 
        android:allowBackup="true" 
        android:largeHeap="true"
        android:icon="@drawable/icon"
        android:label="@string/app_name"
        android:name="com.dbs.mplus.fatima.MPlusApplication"
        android:theme="@style/AppTheme" 
        android:hardwareAccelerated="true">

        <meta-data android:name="com.google.android.gms.version" android:value="@integer/google_play_services_version" />
        
        <!-- 로딩화면 -->
        <activity 
            android:name="com.dbs.mplus.fatima.LoadingActivity"
            android:launchMode="singleTop"
            android:screenOrientation="landscape">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />           
            </intent-filter>
            <intent-filter>
                <action android:name="com.dbs.mplus.fatima.LoadingActivity" />
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <data android:scheme="mplusfatima"/>
            </intent-filter>
        </activity>

        <!-- 웹화면 android:windowSoftInputMode="adjustPan" -->
        <activity android:name="com.dbs.mplus.fatima.view.web.MPlusWebActivity"
            android:screenOrientation="landscape"
            android:configChanges="orientation|screenSize"
            android:exported="true" >
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:scheme="mplusfatima"/>
            </intent-filter>
            <intent-filter>
                <action android:name="com.dbs.mplus.fatima.view.web.MCareWebActivity" />
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        
        <!-- 본인인증을 위한 웹뷰 팝업 -->
        <activity android:name="com.dbs.mplus.fatima.view.popup.MPlusWebAuthPopupActivity"
            android:theme="@android:style/Theme.Translucent"
            android:configChanges="orientation|keyboardHidden"> 
        </activity>

        <!-- 결제 등 외부 서비스를 호출하기 위한 웹뷰 팝업 -->
        <activity android:name="com.dbs.mplus.fatima.view.popup.MPlusWebExtraPopupActivity"
            android:theme="@android:style/Theme.Translucent"
            android:configChanges="orientation|keyboardHidden">
        </activity>
        
        <!-- 수신된 팝업용   @android:style/Theme.Dialog, @android:style/Theme.NoTitleBar.Fullscreen -->
        <activity android:name="com.dbs.mplus.fatima.view.popup.MPlusNotifyPopupActivity"
            android:theme="@style/MCare.Theme.Transparent.Dialog"
            android:excludeFromRecents="true"
            android:taskAffinity="com.dbs.mplus.fatima.view.popup"
            android:configChanges="orientation|keyboardHidden">
        </activity>

        <!--  ==================================================================== 
        		RECEIVER 
         ========================================================================= -->

        <!-- push 수신 -->
		<receiver
            android:name="com.google.android.gms.gcm.GcmReceiver"
            android:exported="true"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />
                <category android:name="com.dbs.mplus.fatima" />
            </intent-filter>
        </receiver>
 		
         <!--  ==================================================================== 
        		SERVICE 
         ========================================================================= -->		
 		
        <!-- 수신된 메시지를 bundle로 받아 처리 -->
        <service android:name="com.dbs.mplus.fatima.service.PushMessageListenerService" android:exported="false">
            <intent-filter>
                <action android:name="com.google.android.c2dm.intent.RECEIVE"/> 
            </intent-filter>
        </service>
        
 		<!-- device token 준비하기 -->
 		<service android:name="com.dbs.mplus.fatima.service.DeviceTokenPrepareService" android:exported="false">
 		</service>		
 		        
        
		<!-- device token 바뀌는거 눈치채기 -->
 		<service android:name="com.dbs.mplus.fatima.service.DeviceTokenStatusListeningService" android:exported="false">
 		    <intent-filter>
 		        <action android:name="com.google.android.gms.iid.InstanceID"/> 
 		    </intent-filter>
 		</service>
 		
         <!--  ==================================================================== 
        		LIBRARY 
         ========================================================================= -->		 		
 		<uses-library android:name="com.google.android.maps" />
    </application>
</manifest>
